Как разгруппировать в автокаде. Уроки по программе AutoCAD.

Содержание

Как расформировать группы?

;       
;Команды автоматической ГРУППИРОВКИ (<GR> либо <ПК>) и РАЗГРУППИРОВКИ (<RG>или <КП>) – указанных объектов       
;плюс команды Прибавления (<GRR> либо <ПКК>) либо УДАЛЕНИЯ (<RGG> либо <КПП>) указанных частей в избранной группы   
;При вызове команды выбираете объекты-группы.                                                                     
;Позволяет создавать вложенные группы.                                                                            
;Имя группы автоматом формируется из системной переменной текущего времени                       
;При наличии вложенной группы ВНЕШЯЯ группа получает аналогичное имя крайней группы с добавлением в начале знака <$>
;При выборе графического элемента автоматически  определяется ИМЯ крайней группы, в которую он входит           
;Разгруппировка со вложенными наборами осуществляется в обратном порядке                                          
;Выполнил Толстов Е.В. Казань, КГАСА,каф.САПР 2.11.2000г.                                            
;——————————————————————————————————
(setq -gr "O'k");Для определения загрузки команды в остальных програмках (hotm)
;——————————————————————————————————
(DEFUN tol-gr (tip nabor / ln name nname naa aa f prSpis i ss ls x spname No tmpFILE)
(setvar "cmdecho" 0);Off echo command
(setq name nil nname nil spname '() No 0);Исходные характеристики переменных
(if(= nabor nil)(SETQ nabor (SSGET)))
(if(= nabor nil)(princ "<Отмена>");if1-проверка отказа выбора объектов
   (progn;pr1
(SETQ ln(sslength nabor))           ;ВЫБОР ОБЬЕКТОВ и определение кол-ва выбр.элементов
(WHILE(< No ln);создание перечня групп, вложенных и в наборе
    (SETQ aa(SSNAME nabor No)    ;имя элемента в наборе
      prSpis(ENTGET aa)      ;список параметров элемента
      name(cdr(car prSpis))    ;имя-код элемента в списке
          ss(cdr(member '(102 . "{ACAD_REACTORS")prSpis));отрезаем перечень Элемента до начала перечисления групп
      ss(reverse ss)        ;переворачиваем
      SS(CDR(MEMBER '(102 . "}")ss));отрезаем перечень опосля перечисления групп((330 . <код группы>)(330 . <>)…)
      ls(length ss))        ;кол-во имен-кодов групп
    (foreach i ss    ;проходим по списку кодов <ss> и записываем наст.имена групп в перечень <spname>
      (setq naa(cdr i)            ;naa – код группы
        prSpis(ENTGET naa)        ;список группы
            aa(cdr(assoc 330 prspis))    ;код-адрес таблицы имен групп
        prSpis(ENTGET aa)        ;список элемента таблицы групп
            aa(reverse prspis);переворачиваем перечень, чтоб код группы оказалсе перед именованием (3 . "имя")<->(350 . <naa>)
        nname(cdr(cadr(member(cons 350 naa)aa))));считываем имя как последующее за кодом группы
      (if(= spname nil)(setq spname(cons nname '())));cоздает перечень с первым именованием группы
      (if(=(member nname spname)nil)(setq spname(cons nname spname)));добавляет имя в перечень, ежели отсутствует.
    );for-конец перечня кодов групп
    (setq No(1+ No));Переход к след.номеру элементу в наборе
);w – конец перебора набора
(setq nname(last spname));в качестве имени группы берем одно из крайних в перечне отысканных (1 из сделанных в наборе – текущая группа)
;если требуется сделать группу – берем имя вложенной группы(если есть, т.е /= nil) и добавляем <$> пока не станет уникальным
(if(and(= tip nil)(/= nname nil)(=(substr nname 1 1)"*"))(setq nname(substr nname 2 128)))
(while(and(= tip nil)(/=(member nname spname)nil))(setq nname(strcat "$" nname)))
;если требуется сделать группу – а имени вложенных групп нет – создаем из текущей переменной машинной даты-времени
(if(and(= tip nil)(= nname nil))(setq nname(rtos(getvar "cdate")2 20)nname(strcat(substr nname 1 8)"_"(substr nname 10 8))));;;;;;
(setq ls(length spname))
(cond;Группировка-разгруппировка объектов с определенным именем
      ((and(= tip nil)(< ln 2))(princ "n<Отмена> Нереально СГРУППИРОВАТЬ 1 элемент !"))
      ((and(= tip nil)(>= ln 2)(>= ls 1))(setq x(princ "Выполнено !n Включено вложенных групп – ")х(princ ls)x(command "_-group" "_c" nname "Создан прогр.TOL-GR" nabor "")))
      ((and(= tip nil)(>= ln 2)(< ls 1))(setq x(princ "Выполнено !")x(command "_-group" "_c" nname "Прогр.<TOL-GR.lsp> Толстов Е.В. Казань 2000г." nabor "")))
      ((and(= tip 0)(/= nname nil)(= ls 1))(setq x(princ "Выполнено !")x(command "_-group" "_e" nname)))
      ((and(= tip 0)(/= nname nil)(> ls 1))(setq x(princ "Выполнено!n Осталось вложенных групп – ")x(princ(1- ls))x(command "_-group" "_e" nname)))
      ((and(= tip 0)(= nname nil))(Princ "n<Отмена> Объект не принадлежит ГРУППЕ !"))
      ((and(= tip 1)(/= nname nil)(>= ls 1))(setq x(princ "Укажите добавляемые к группе элементы!")x(command "_-group" "_a" nname )))
      ((and(= tip 1)(= nname nil))(Princ "n<Отмена> ГРУППА не найдена !"))
      ((and(= tip -1)(/= nname nil)(>= ls 1))(setq x(princ "Укажите удаляемые из группы элементы!")x(command "_-group" "_r" nname )))
      ((and(= tip -1)(= nname nil))(Princ "n<Отмена> ГРУППА не найдена !"))
)
    );Pr1 – группа операций при избранных объектах
);if1 – проверка отказа выбора объектов
(princ)
);END tol-gr
;——————————————————————————————————————
(defun c:пк()(princ "nСГруппировать объекты ")(tol-gr nil nil));Вызов команды при российской раскладке клавиатуры
(defun c:gr()(princ "nСГруппировать объекты ")(tol-gr nil nil))
(defun c:кп()(princ "nРАЗГруппировать объекты ")(tol-gr 0 nil));Вызов команды при российской раскладке клавиатуры
(defun c:rg()(princ "nРАЗГруппировать объекты ")(tol-gr 0 nil))
(defun c:пкк()(princ "nУкажите Мотивированную ГРУППУ для ПРИСОЕДИНЕНИЯ элементов:")(tol-gr 1 nil));Вызов команды при российской раскладке клавиатуры
(defun c:grr()(princ "nУкажите Мотивированную ГРУППУ для ПРИСОЕДИНЕНИЯ элементов:")(tol-gr 1 nil))
(defun c:ккп()(princ "nУкажите Начальную ГРУППУ для УДАЛЕНИЯ элементов:")(tol-gr -1 nil));Вызов команды при российской раскладке клавиатуры
(defun c:rgg()(princ "nУкажите Начальную ГРУППУ для УДАЛЕНИЯ элементов:")(tol-gr -1 nil))
;(princ "nКоманды гуппировки <gr>, разгруппировки <rg>, удаления <rgg> и присоединения <grr> частей в группе – загружены.nТолстов.Е.В. Казань 2000г.")

Читайте также  Dir 300 настройка пароль wifi. Настройка WiFi на D-Link DIR-300

Как расчленить объекты в Автокад


Команда редактирования в AutoCAD
Расчленить
Определение
Расчлениние – разбивка сложного объекта на составляющие его объекты.
Инструмент
Инструмент Расчленить – команда, позволяющая расчленить в Автокаде сложные составные объекты на составляющие (блоки, полилинии, области), а 3D тела и поверхности на составляющие подобъекты.
Команда
Расчленить/Explode
Объект
Расчлененный составной объект

В этом уроке мы ответим на вопрос: “Как расчленить в Автокад сложные объекты на объекты примитивы?“.

Довольно нередко как в 2D проектировании Автокад, так и в 3D моделировании требуется расчленить (разбить) сложные объекты на составляющие объекты примитивы. Расчлинение, разбитие объектов в Автокад требуется для предстоящего их редактирования, когда функционала расширенных команд редактирования не достаточно.

К сложным/составным объектам в Автокад можно отнести: полилинию, мультилинию, многострочные тексты, мультивыноски и т.д. Можно расчленять любые составные объекты в Автокад включая блоки, штриховки, 3D тела, сети и т.д.

Команда Расчленить в Автокад

Способы вызова команды Расчленить:

Вызвать команду “Расчленить” в Автокад можно одним из последующих способов:

  • строка меню пункт “Редактировать” – строчка “Расчленить” в Автокад:
  • вкладка “Главная” ленты инструментов – в группе инструментов “Редактирование” – клавиша в Автокад (инструмент) “Расчленить”;
  • панель инструментов Редактирование – клавиша (инструмент) Расчленить;
  • либо прописать наименование команды в командной строке Автокад “Расчленить”.

Команда “Расчленить” в Автокад не повторяющаяся команда, потому автоматом завершает свое выполение опосля расчлиленения составного объекта, а также работает как с подготовительным выбором объектов, так и опосля вызова самой команды.

Рассмотрим результаты внедрения команды Расчленить в Автокад для каждого из последующих типов объектов:

Как расчленить блок в Автокаде

Блок – это непростой составной объект, потому его можно расчленить в Автокад на составляющие объекты примитивы. Разделение блока в Автокад на составные части, а конкретно на начальные объекты из которых он формировался, нужно для скорого редактирования блока базисными и расширенными командами редактирования (без использования редактора блоков). “Как расчленить блок в Автокад/взорвать блок в Автокад?” – пользоваться командой “Расчленить”.

Читайте также  Пароль для экрана блокировки. Как установить пароль или графический ключ - защищаем содержимое Андроид устройства

Чтобы разбить блок в Автокад включайющий в себя сложные объекты и остальные блоки, будет нужно применить к нему несколько раз (повторно) команду “Расчленить” (применение пары уровней вложенности блока). Принцип вложенности уровней применим и к массивам в Автокад.

Следует учесть, что при расчленении блока в Автокад содержащего атрибуты блока, значения атрибутов удалаются (остаются лишь их описания). Круги, дуги в неоднородно масштабируемых блоках при расчлилении в Автокад преобразуются в эллиптические дуги, эллипсы.

Рассмотрим наиболее тщательно как разбить блок в Автокад

При разработке определения блока в диалоговом окне “Определение блока” необходимо установить флаг “Рарзрешить расчленение” в Автокад, чтоб была возможность использовать команду “Расчленить” для вхождения блока на чертеже Автокад.

При вставке блока в чертеж в диалоговом окне “Вставка” можно установить флаг “Расчленить”, в этому случае вставленный блок автоматом расчленится на отдельные части.

При выборе данной нам функции задается единый масштабный коэффициент по всем трем координатным осям.

Почему не разбивается блок в Автокаде

Может быть несколько случаев почему не разрывается блок в Автокад, вот некие из них:

  • Во время сотворения определения блока в Автокад, не было установлено свойство “Разрешить расчленение блока“.
  • Блок содержит вложенные блоки (многоуровневые блоки в Автокад). В этом случае требуется повторно использовать команду “Расчленить” в Автокад по уровням вложенности блоков.

Как поменять свойство “Разрешить расчленение блока в Автокад” в значение да (1) уже сделанного блока

  • выбираем объект блок в Автокад;
  • открываем редактор блоков в Автокад (щелчок правой клавишей мышкой в рабочей зоне чертежа, выбор из меню строчки “Редактор блоков”);
  • открываем в редакторе блоков окно панель характеристики. В разделе Блок избираем свойство Разрешить расчлеление и ставим в значение Да;
  • закрываем редактор блоков, сохранив изменения.
Читайте также  Как в автокаде сменить цвет фона. Как поменять цвет фона в AutoCAD?

Как расчленить полилинию в Автокад

Разбить полилинию на составляющие ее объекты примитивы – отрезки в Автокад можно также при помощи команды Расчленить.

При расчлинении полилинии в Автокад, ширина полилинии и данные о касательных игнорируются. Опосля расчлинения широких (обладающих свойством ширины) полилинии отрезки и дуги размещаются по осевой полосы полилинии.

Как расчленить 3D полилинию в Автокаде

Разбить 3D полилинию в Автокад на составлющие ее объекты примитивы – отрезки можно также при помощи команды Расчленить. Приобретенные отрезки наследуют начальный тип линий.

Как расчленить массив в Автокад

Массив в Автокад – это непростой составной объект, потому его можно разбить в Автокад на составляющие объекты примитивы. Команда Расчленить в Автокад дозволяет расчленить ассоциативный массив на копии начальных объектов (ассоциативность массива теряется).

Как расчленить текст в Автокаде

Команда Расчленить в Автокад дозволяет разбить многострочный текст на отдельные текстовые объекты – однострочный текст.

Как расчленить мультилинии в Автокаде

Мультилинии в Автокад командой “Расчленить” разбиваются на отрезки и дуги.

Как расчленить в Автокад выноски/мультивыноски

Расчленяются выноски в Автокад на отрезки, сплайны, фигуры (стрелки), блоки (стрелки, блоки аннотаций), многострочный текст и рамки допусков (в зависимости от типа выноски).

Как расчленить (разбить) штриховку и размеры в Автокаде

Штриховку, размеры в Автокад можно разбить (расчленить) при помощи команды “Расчленить” (ассоциативность объектов теряется).

Как расчлелить область в Автокаде

Команда в Автокад “Расчленить”позволяет разбить область на составляющие объекты: отрезки, дуги и сплайны.

Как в Автокад расчленить тело ACIS

Команда “Расчленить” в Автокад дозволяет расчленять 3D тела на подобъекты: неплоские поверхности, области, кривые.

Как в Автокад расчленить объект сеть

Расчленение каждой грани на отдельные объекты-3D грани. Цвет и назначение материалов сохраняется. (отсутствует в AutoCAD LT).

В этом уроке мы разобрали как разбить (расчленить) объект в Автокали либо даже целый чертеж, ежели он вставлен в чертеж наружной ссылкой в виде блока.

Видео “Команда Расчленить в Автокад либо как расчленить в Автокаде объекты: блок, тело, сети и т.д.”

Оставьте комментарий